Page MenuHomePhabricator

Evaluate Pywikibot: Compat to Core migration
Closed, ResolvedPublic

Description

This is an Outreach-Program-For-Women-9 final project evaluation. Please update the description checking the boxes and providing the corresponding comments and links:

  • Weekly reports up to date.
  • In sync with mentors.
  • Full-time routine.
  • Project completed, or at least a functional prototype.
  • Tasks created for known bugs, missing features, and suggested improvements.
  • Documentation for users and contributors.
  • Wrap-up report.
  • Summary in Past projects page.

Event Timeline

Qgil created this task.Mar 10 2015, 9:52 AM
Qgil assigned this task to Ladsgroup.
Qgil raised the priority of this task from to Normal.
Qgil updated the task description. (Show Details)
Qgil added subscribers: Ladsgroup, jayvdb, droid.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 10 2015, 9:52 AM
Ladsgroup updated the task description. (Show Details)Mar 17 2015, 11:23 AM
Ladsgroup set Security to None.
Qgil added a subscriber: Qgil.Mar 26 2015, 3:16 PM

The end of March is approaching quickly and we really need to wrap up Outreach-Program-For-Women-9 (which officially ended almost three weeks ago). Mentors and intern are equally responsible of completing this task. You will feel very food when you mark it as Closed Resolved!

@droid is responsible for writing the wrap up report, complete the prototype, and write in past projects. after that I can evalute the intern. @Qgil: please correct me if I'm wrong.

Qgil added a comment.Mar 26 2015, 4:12 PM

@Ladsgroup, this is correct. But mentors are responsible of chasing their mentees. Org admins shouldn't be chasing anybody unless there is an exceptional situation. :)

I chased her and she told me that she will finish these tasks soon.

I'm not sure if you are in contact with @jayvdb but unfortunately I couldn't get a hold of @Omegat the last few days so to be honest I'm currently not aware of her current situation.

XZise removed subscribers: XZise, Omegat.Mar 27 2015, 4:44 PM

Still waiting for her to finish these jobs

Ladsgroup updated the task description. (Show Details)Apr 1 2015, 9:12 AM

I talked to John and this is my conclusion:
1- Her work is pretty slow and she was behind her schedule all the time
2- She couldn't finish her job even prototype of the work. Not mentioning the documentation.
3- Her work needs to be reviewed and be rewritten at least most of her codes.

So unfortunately I have to tell you she failed.

Ladsgroup closed this task as Resolved.Apr 4 2015, 11:58 AM

@Qgil, why did we perform the evaluations after the project ended and the students were paid the entire stipend? In this case clearly the student should not have received the last installment. It sets a bad example, doesn't it? Students might think they can get away without completing their projects. What do you think?

No, she didn't get paid the last payment. We delayed the payment until finishing the evaluation (and the evaluation was delayed so she can finish her work but it didn't work well).

Oh, Okay. Thanks for clarifying that!